DMD.CONF(5)

NAME
dmd.conf - configuration file for dmd(1)

SYNOPSIS
/etc/dmd.conf

DESCRIPTION
dmd will look for the initialization file dmd.conf in the following directories:

1.  The current working directory.

2.  $HOME

3.  The directory containing the dmd executable.

4.  /etc

If found, environment variable settings in the file will override any existing settings.

This is handy to make dmd independent of programs with conflicting use of environment variables.

SYNTAX
Environment variables follow the [Environment] section heading, in name=value or name?=value pairs. Comments are lines that start with ;. Variable names are always converted to uppercase, so if you use name=value, actually the variable with name NAME will be written. If the name?=value syntax is used, the variable with NAME will only be written if it was defined before (in that case the original value is preserved).

EXAMPLE
; dmd.conf file for dmd

; Names enclosed by %% are searched for in the existing environment

; and inserted. The special name %@P% is replaced with the path

; to this file.

[Environment]

DFLAGS="-I%@P%/../src/phobos"

FILES
/etc/dmd.conf

SEE ALSO
dmd(1) rdmd(1)